package com.dayou.service;
import com.dayou.entity.ItemBrokerageSequenceDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BrokerageSequenceDetailVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 提成流水明细表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface IItemBrokerageSequenceDetailService extends IService<ItemBrokerageSequenceDetail> {

        Page<BrokerageSequenceDetailVO> selectPage(Page page, BrokerageSequenceDetailVO brokerageSequenceDetailVO);

        ItemBrokerageSequenceDetail detail(Long id);

        Boolean add(ItemBrokerageSequenceDetail itemBrokerageSequenceDetail);

        Boolean update(ItemBrokerageSequenceDetail itemBrokerageSequenceDetail);

        Boolean delete(Long id);

    List<BrokerageSequenceDetailVO> xList(BrokerageSequenceDetailVO brokerageSequenceDetailVO);
}
